Subject: Re: [PATCH] Revert sky2 to 0.13a

From: Stephen Hemminger <[email-masked]>
Date: Mon, 27 Feb 2006 08:00:42 -0800

On Mon, 27 Feb 2006 00:03:45 +0100
Wolfgang Hoffmann <[email-masked]> wrote:

> On Sunday 26 February 2006 23:31, Wolfgang Hoffmann wrote:
> > On Sunday 26 February 2006 19:13, Wolfgang Hoffmann wrote:
> > > Ok, I did some reading and just started a git bisect. I didn't find hints
> > > on how to bisect if I'm only interested in changes to sky2.[ch], so I'm
> > > taking the full kernel tree and skip testing those bisect steps that
> > > didn't change sky2.[ch].
> > >
> > > Looking at Carl-Daniels 0.13a and Stephens patch against 0.15 in this
> > > thread, I'll patch each bisect step such that sky2_poll() has
> > >
> > >        sky2_write32(hw, STAT_CTRL, SC_STAT_CLR_IRQ);
> > >        if (sky2_read8(hw, STAT_LEV_TIMER_CTRL) == TIM_START) {
> > >                sky2_write8(hw, STAT_LEV_TIMER_CTRL, TIM_STOP);
> > >                sky2_write8(hw, STAT_LEV_TIMER_CTRL, TIM_START);
> > >         }
> > >
> > > after exit_loop. Is that ok?
> > >
> > > I'll report as soon as I have results.
> >
> > Bisect done:
> >
> > 4d52b48b43d0d1d5959fa722ee0046e3542e5e1b is first bad commit
> >     [PATCH] sky2: support msi interrupt (revised)
> >
> > Reverting this commit in git head seems to work, at least the driver builds
> > and loads. Is that sane?
> >
> > I'm currently testing this (without any further modifications), let's see
> > if it hangs or not.
> 
> Ok, no hangs yet.
> 
> This version passed a test scenario only 0.13a has survived so far. I'll 
> continue to use this to give it more testing tomorrow.
> 
> Looking at the reverted commit, I wonder if modprobing sky2 with disable_msi=1 
> is equivalent to reverting the commit?
> 

Could you try the current code with the disable_msi option?
	modprobe sky2 disable_msi=1

That will run existing code without MSI.